This endpoint enables you to access information about your shipment. The response body is divided into three crucial parts: validation, export, and import.
The validation part provides feedback on the data you submitted by searching for potential errors. It can have three possible statuses:
The export and import sections will be included in the response only if your organization has previously enabled these services in the QuayConnect app. For each of these sections, you will receive:
To access shipment data via the endpoint, you must specify the unique ID of the shipment for which you want information. The shipment's ID will be provided to you in the response when creating a shipment.
GET https://api.quayconnect.io/v2/shipments/shipment-id
Headers:
Authorization: Bearer your-access-tokenUpon successful handling of your request, you can expect to receive the following:
{
"validation": {
"status": "success",
"errors": [
{
"message": "string",
"slug": "string",
"fieldPath": "string"
}
]
},
"export": {
"status": "success",
"documentType": "EU",
"documentNumber": "string",
"downloadLink": "string"
},
"import": {
"status": "success",
"documentType": "string",
"documentNumber": "string",
"downloadLink": "string",
"errors": [
{
"message": "string"
}
]
}
}